# Generated by Django 3.1.4 on 2020-12-24 12:17

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PasswordResetToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(unique=True)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('deleted', models.BooleanField(default=False, null=True)),
                ('email', models.CharField(max_length=255, unique=True)),
                ('token', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'password_reset_tokens',
            },
        ),
        migrations.CreateModel(
            name='Residence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(unique=True)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('deleted', models.BooleanField(default=False, null=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('internal_name', models.CharField(max_length=255, unique=True)),
                ('address_street', models.CharField(max_length=255)),
                ('address_number', models.CharField(max_length=255)),
                ('address_pc', models.CharField(max_length=255)),
                ('address_city', models.CharField(max_length=255)),
                ('pv_orientation', models.IntegerField(null=True)),
                ('weather_station_id', models.CharField(max_length=255, null=True, unique=True)),
                ('weather_station_api_key', models.CharField(max_length=255, null=True, unique=True)),
            ],
            options={
                'db_table': 'residences',
            },
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(unique=True)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('deleted', models.BooleanField(default=False, null=True)),
                ('identifier', models.CharField(max_length=255, unique=True)),
                ('secret', models.CharField(max_length=255)),
                ('type', models.CharField(max_length=255)),
                ('refresh_token', models.CharField(max_length=255, null=True)),
                ('refresh_token_valid', models.BooleanField(default=True, null=True)),
                ('blocked', models.BooleanField(default=False, null=True)),
                ('phone', models.CharField(max_length=255, null=True)),
                ('residence', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='application.residence')),
            ],
            options={
                'db_table': 'users',
            },
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(unique=True)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('deleted', models.BooleanField(default=False, null=True)),
                ('name', models.CharField(max_length=255, null=True)),
                ('internal_name', models.CharField(max_length=255, null=True, unique=True)),
                ('desired_temperature', models.FloatField(null=True)),
                ('desired_temperature_updated', models.DateTimeField(null=True)),
                ('ventilation_auto_mode', models.BooleanField(default=True, null=True)),
                ('ventilation_manual_position', models.IntegerField(default=0, null=True)),
                ('ventilation_manual_position_adjusted', models.DateTimeField(default=django.utils.timezone.now, null=True)),
                ('ventilation_reset_to_auto_mode_duration', models.IntegerField(default=30, null=True)),
                ('ventilation_reset_to_auto_mode_time', models.DateTimeField(blank=True, null=True)),
                ('area', models.FloatField(null=True)),
                ('residence', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='application.residence')),
                ('users', models.ManyToManyField(related_name='_zone_users_+', to='application.User')),
            ],
            options={
                'db_table': 'zones',
            },
        ),
        migrations.AddField(
            model_name='user',
            name='zones',
            field=models.ManyToManyField(related_name='_user_zones_+', to='application.Zone'),
        ),
        migrations.AddField(
            model_name='residence',
            name='users',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='application.user'),
        ),
        migrations.AddField(
            model_name='residence',
            name='zones',
            field=models.ManyToManyField(related_name='_residence_zones_+', to='application.Zone'),
        ),
    ]
